Gentoo Archives: gentoo-commits

From: Zac Medico <zmedico@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/nvme-cli/
Date: Wed, 11 Sep 2019 17:26:00
Message-Id: 1568222717.b9fca6a03f0adc4e3c4f855fb43a7314d9d7bd6a.zmedico@gentoo
commit:     b9fca6a03f0adc4e3c4f855fb43a7314d9d7bd6a
Author:     Zac Medico <zachary.medico <AT> sony <DOT> com>
AuthorDate: Wed Sep 11 17:23:30 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 17:25:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9fca6a0

sys-apps/nvme-cli: Bump to version 1.9

Package-Manager: Portage-2.3.75, Repoman-2.3.17
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 sys-apps/nvme-cli/Manifest            |  1 +
 sys-apps/nvme-cli/nvme-cli-1.9.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/sys-apps/nvme-cli/Manifest b/sys-apps/nvme-cli/Manifest
index baa3e250eca..1a2c27bb2e4 100644
--- a/sys-apps/nvme-cli/Manifest
+++ b/sys-apps/nvme-cli/Manifest
@@ -1,2 +1,3 @@
 DIST nvme-cli-1.5.tar.gz 282891 BLAKE2B 31eb9f4acda978977b7de222e1d973aac4ea18a34eaa0ffea73f2603cc2b8936aecd23248c764d05af161943db06533faf881711f2f22ad539b7e7607d5f8652 SHA512 0fc3dafeba8f67c8f3a3f25aac3b454d9e3ebfb1c20d67f96009a4490f269f0fe3642de781cd161896300f91a1cc37bd8a4e61c77f35422ab134c747702ffaca
 DIST nvme-cli-1.6.tar.gz 368461 BLAKE2B e40f4d76314860c966c3cb3de31e8d4a1bceab847b8950f0c99d47e00b8e8de077e91f6da9216ec10e939d37d34ab255b5cc3c641f3bbaf3ac8974f697051329 SHA512 05bcc539febd047f092a236ef2b2e9ad4e1df5d38bdc70416f80217425767f414e72294fda46868323cb7c77662d6000eaf16ebdaf74bdfad1baaed11b025d39
+DIST nvme-cli-1.9.tar.gz 440675 BLAKE2B 19d9f4982e6bf4d37bbced02aadd0f58e496901c1463c96596b289e23c4e5849bfed9a4129447588c9c8104d5b49fd0bf97ee6495907bf022487407f02d7c4ae SHA512 3565b33bc39bde4480bbde5d46d75ea6907c0921884e8f39029b746f8383d3630942e405c61bcc3654bac5646bc86479b4b790e1b823ec83650649621bab6dac

diff --git a/sys-apps/nvme-cli/nvme-cli-1.9.ebuild b/sys-apps/nvme-cli/nvme-cli-1.9.ebuild
new file mode 100644
index 00000000000..570a505ea83
--- /dev/null
+++ b/sys-apps/nvme-cli/nvme-cli-1.9.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="NVM-Express user space tooling for Linux"
+HOMEPAGE="https://github.com/linux-nvme/nvme-cli"
+SRC_URI="${HOMEPAGE}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RESTRICT="test"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="+uuid"
+
+RDEPEND="uuid? ( sys-apps/util-linux:= )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	sed -i 's:^LIBUUID =:LIBUUID ?=:' -i Makefile || die
+}
+
+src_configure() {
+	tc-export CC
+	export PREFIX="${EPREFIX}/usr"
+	MAKEOPTS+=" LIBUUID=$(usex uuid 0 1)"
+}